Schema: AccountConfig (ID: 1805)
METADATA
| Attribute | Value |
|---|---|
| Topic | 1800-client-config |
| MLink Token | Internal |
| MLink Endpoint | MLink-Live |
| SRSE Product |
Note: The symbol
=next to a field number indicates that it is a primary key.
BODY
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 10= | accnt | string(16) | ||
| 11= | clientFirm | string(16) | SR assigned client firm acronym | |
| 103 | accountType | enum : AccountType | SR account type (omnibus accounts are expected to be flat at the end of the day) | |
| 106 | accntStatus | enum : AccntStatus | This accounts current status | |
| 109 | accntStatusDttm | DateTime | The Date/time this accounts status was changed | |
| 112 | accntName | text1 | account name | |
| 215 | omniAccnt | string(25) | associated omnibus account (if any) (must be type=Omnibus) [this account can do aggregated trading in omniAccnt] | |
| 216 | omniAccnt2 | string(25) | associated omnibus account (if any) (must be type=Omnibus) [this account can do aggregated trading in omniAccnt2] | |
| 121 | tgtRollupAccnt | string(16) | target rollup account (must be type=Rollup) [this account rolls up into target account] | |
| 124 | tgtReconcileAccntSR | string(16) | target reconciliation accnt (SR Side) (must be type=Reconcile) [this account aggregates into target reconcile account] | |
| 127 | tgtReconcileAccntCF | string(16) | target reconciliation accnt (CLR Side) (must be type=Reconcile) [this account aggregates into target reconcile account] | |
| 130 | defaultTradingAccnt | string(16) | [our type=Rollup] default trading accnt (must be type=Trading) (if ticker not found in AltSymbolMap) | |
| 223 | mifidAccntId | string(16) | MIFID account identifier | |
| 133 | clientTags | text2 | (optional) user defined account tag(s) (eg. tag,tag,tag,tag) [max of 10,000 total chars (including seps)] | |
| 136 | proxyFirm1 | string(16) | proxy firm #1 | |
| 139 | proxyFirm2 | string(16) | proxy firm #2 | |
| 142 | proxyFirm3 | string(16) | proxy firm #3 | |
| 145 | billingSchedule | string(16) | overrides billingSchedule at clientFirm level | |
| 220 | catFdidOpenDate | DateKey | CAT FDID OpenDate | |
| 221 | catFdidEndDate | DateKey | CAT FDID EndDate | |
| 166 | clientAccnt | string(32) | client assigned account string (optional) [used to map between client and SR configs] | |
| 169 | clientUserName | string(32) | client assigned account userName (optional) [usued to map between client and SR configs] | |
| 172 | clientAccntIds | text2 | comma separated list of alternate client defined accnt strings that all map to this accountConfig | |
| 175 | requireAltOrderId | enum : YesNo | Parent order must have an AltOrderId to proceed | |
| 178 | nbboFixDropMarking | enum : YesNo | Whether or not to markup the FIX drop with nbbo information | |
| 181 | noCrossGroup | string(16) | no cross grouping code (accounts with the same nCrossGroup will not cross with themselves) [default = ClientFirm] | |
| 225 | riskDropCFirm | string(16) | EE automatically creates a duplicate copy of each execution in the awayDropCFirm/awayDropAccnt | |
| 226 | riskDropAccnt | string(16) | ||
| 184 | accntColor | string(16) | citrix account color string | |
| 187 | symCtrlAccnt | string(16) | eg. SR.1 [default = accnt] | |
| 190 | theoModel | string(16) | theo model (primary) | |
| 193 | theoModel2 | string(16) | theo model #2 | |
| 196 | hedgeDeltaRule | enum : HedgeDeltaRule | HedgeDelta Source (IVol = use SR implied surface (sticky strike), IvS = use SR surface (dynamic), TVol = use user supplied theo surface (sticky strike), TvS = use user supplied theo surface (dynamic)) [AccountConfig.hedgeDelta] | |
| 199 | binaryDays | float | used to force delta calcs binary prior to expiration | |
| 202 | awayExecControl | enum : AwayExecControl | Whether to include Away Executions in EE risk counters | |
| 205 | riskGroupControl | enum : RiskGroupControl | enables enhanced risk group controls, ParentCap.n means each parent order can be at most 1/n of the risk group limit, StrictLimits implies PC.4 | |
| 222 | isAtsEnabled | enum : YesNo | ||
| 224 | clrFlipEnabled | enum : YesNo | used to enable broker/dealers to send agency clearing (ClrFlip) instructions on parent orders | |
| 227 | pricingVersion | enum : PricingVersion | ||
| 208 | modifiedBy | string(24) | user who last modified this record | |
| 211 | modifiedIn | enum : SysEnvironment | ||
| 214 | timestamp | DateTime | timestamp of last modification |
REPEATING FIELDS
RiskLevel
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 218 | riskLevel | enum : MarRiskLevel | ||
| 219 | customGroup | string(16) |
Get Schema API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AccountConfig'
# Request Parameters for Get Schema Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getschema',
"msgType": MSG_TYPE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getschema' \
--data-urlencode 'msgType=AccountConfig'
Get Msg API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AccountConfig'
# Replace with your pkey value for getting the specific message desired
PKEY = 'ReplaceThisValueForTheQueryToWork'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned.
VIEW = 'accountType|accntStatus|accntStatusDttm|accntName|omniAccnt|omniAccnt2|tgtRollupAccnt|tgtReconcileAccntSR|tgtReconcileAccntCF|defaultTradingAccnt|mifidAccntId|clientTags|proxyFirm1|proxyFirm2|proxyFirm3|billingSchedule|catFdidOpenDate|catFdidEndDate|clientAccnt|clientUserName|clientAccntIds|requireAltOrderId|nbboFixDropMarking|noCrossGroup|riskDropCFirm|riskDropAccnt|accntColor|symCtrlAccnt|theoModel|theoModel2|hedgeDeltaRule|binaryDays|awayExecControl|riskGroupControl|isAtsEnabled|clrFlipEnabled|pricingVersion|modifiedBy|modifiedIn|timestamp'
# Replace with your desired where clause.
# a string in the form "field1:eq:valuse" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'accnt:eq:ExampleString'
# Request Parameters for getmsg Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsg',
"pkey": PKEY,
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsg' \
--data-urlencode 'pkey=ReplaceThisValueForTheQueryToWork' \
--data-urlencode 'msgType=AccountConfig' \
--data-urlencode 'view=accountType|accntStatus|accntStatusDttm|accntName|omniAccnt|omniAccnt2|tgtRollupAccnt|tgtReconcileAccntSR|tgtReconcileAccntCF|defaultTradingAccnt|mifidAccntId|clientTags|proxyFirm1|proxyFirm2|proxyFirm3|billingSchedule|catFdidOpenDate|catFdidEndDate|clientAccnt|clientUserName|clientAccntIds|requireAltOrderId|nbboFixDropMarking|noCrossGroup|riskDropCFirm|riskDropAccnt|accntColor|symCtrlAccnt|theoModel|theoModel2|hedgeDeltaRule|binaryDays|awayExecControl|riskGroupControl|isAtsEnabled|clrFlipEnabled|pricingVersion|modifiedBy|modifiedIn|timestamp' \
--data-urlencode 'where=accnt:eq:ExampleString'
Get Msgs API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AccountConfig'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned
VIEW = 'accountType|accntStatus|accntStatusDttm|accntName|omniAccnt|omniAccnt2|tgtRollupAccnt|tgtReconcileAccntSR|tgtReconcileAccntCF|defaultTradingAccnt|mifidAccntId|clientTags|proxyFirm1|proxyFirm2|proxyFirm3|billingSchedule|catFdidOpenDate|catFdidEndDate|clientAccnt|clientUserName|clientAccntIds|requireAltOrderId|nbboFixDropMarking|noCrossGroup|riskDropCFirm|riskDropAccnt|accntColor|symCtrlAccnt|theoModel|theoModel2|hedgeDeltaRule|binaryDays|awayExecControl|riskGroupControl|isAtsEnabled|clrFlipEnabled|pricingVersion|modifiedBy|modifiedIn|timestamp'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'accnt:eq:ExampleString'
# Replace with your desired limit of how many messages you receive. The default limit is 500
LIMIT = 500
# Order clause eg. "(field1:DESC | field1:ASC | field2:DESC:ABS | field2:ASC:ABS" (default is unordered; default is faster)
ORDER = 'accountType:ASC'
# Request Parameters for getmsgs Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsgs',
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE,
"limit": LIMIT,
"order": ORDER
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsgs' \
--data-urlencode 'msgType=AccountConfig' \
--data-urlencode 'view=accountType|accntStatus|accntStatusDttm|accntName|omniAccnt|omniAccnt2|tgtRollupAccnt|tgtReconcileAccntSR|tgtReconcileAccntCF|defaultTradingAccnt|mifidAccntId|clientTags|proxyFirm1|proxyFirm2|proxyFirm3|billingSchedule|catFdidOpenDate|catFdidEndDate|clientAccnt|clientUserName|clientAccntIds|requireAltOrderId|nbboFixDropMarking|noCrossGroup|riskDropCFirm|riskDropAccnt|accntColor|symCtrlAccnt|theoModel|theoModel2|hedgeDeltaRule|binaryDays|awayExecControl|riskGroupControl|isAtsEnabled|clrFlipEnabled|pricingVersion|modifiedBy|modifiedIn|timestamp' \
--data-urlencode 'where=accnt:eq:ExampleString' \
--data-urlencode 'limit=500' \
--data-urlencode 'order=accountType:ASC'
Get Aggregate API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AccountConfig'
# Replace with fields you want to see aggregate values for. A "|" separated list of measures should be provided
MEASURE = 'accountType|accntStatus|accntStatusDttm|accntName|omniAccnt|omniAccnt2|tgtRollupAccnt|tgtReconcileAccntSR|tgtReconcileAccntCF|defaultTradingAccnt|mifidAccntId|clientTags|proxyFirm1|proxyFirm2|proxyFirm3|billingSchedule|catFdidOpenDate|catFdidEndDate|clientAccnt|clientUserName|clientAccntIds|requireAltOrderId|nbboFixDropMarking|noCrossGroup|riskDropCFirm|riskDropAccnt|accntColor|symCtrlAccnt|theoModel|theoModel2|hedgeDeltaRule|binaryDays|awayExecControl|riskGroupControl|isAtsEnabled|clrFlipEnabled|pricingVersion|modifiedBy|modifiedIn|timestamp'
# Replace with fields you want to see aggregated. A "|" separated list of fields should be provided
GROUP = 'accountType|accntStatus|requireAltOrderId|nbboFixDropMarking|hedgeDeltaRule|awayExecControl|riskGroupControl|isAtsEnabled|clrFlipEnabled|pricingVersion|modifiedIn'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'accnt:eq:ExampleString'
# Request Parameters for getaggregate Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getaggregate',
"msgType": MSG_TYPE,
"measure": MEASURE,
"group": GROUP,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getaggregate' \
--data-urlencode 'msgType=AccountConfig' \
--data-urlencode 'measure=accountType|accntStatus|accntStatusDttm|accntName|omniAccnt|omniAccnt2|tgtRollupAccnt|tgtReconcileAccntSR|tgtReconcileAccntCF|defaultTradingAccnt|mifidAccntId|clientTags|proxyFirm1|proxyFirm2|proxyFirm3|billingSchedule|catFdidOpenDate|catFdidEndDate|clientAccnt|clientUserName|clientAccntIds|requireAltOrderId|nbboFixDropMarking|noCrossGroup|riskDropCFirm|riskDropAccnt|accntColor|symCtrlAccnt|theoModel|theoModel2|hedgeDeltaRule|binaryDays|awayExecControl|riskGroupControl|isAtsEnabled|clrFlipEnabled|pricingVersion|modifiedBy|modifiedIn|timestamp' \
--data-urlencode 'group=accountType|accntStatus|requireAltOrderId|nbboFixDropMarking|hedgeDeltaRule|awayExecControl|riskGroupControl|isAtsEnabled|clrFlipEnabled|pricingVersion|modifiedIn' \
--data-urlencode 'where=accnt:eq:ExampleString'
Get Count API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AccountConfig'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'accnt:eq:ExampleString'
# Request Parameters for getCount Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getcount',
"msgType": MSG_TYPE,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getcount' \
--data-urlencode 'msgType=AccountConfig' \
--data-urlencode 'where=accnt:eq:ExampleString'